Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<AllowSort(False)> _
<DeferredDeletion(False)> _
Public Class C3CGeneratedInvoiceDocuments
    Inherits FileAttachmentBase
    Private _C3CGeneratedInvoice As C3CGeneratedInvoice
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Persistent(), Association("C3CGeneratedInvoice-C3CGeneratedInvoiceDocuments")> _
    Public Property C3CGeneratedInvoice() As C3CGeneratedInvoice
        Get
            Return _C3CGeneratedInvoice
        End Get
        Set(ByVal value As C3CGeneratedInvoice)
            SetPropertyValue("C3CGeneratedInvoice", _C3CGeneratedInvoice, value)
        End Set
    End Property
End Class
